package cn.yw.nhyw.nhywjtbzgl.service;

 import cn.yw.nhyw.nhywjtbzgl.dao.NhywjtbzglDao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;

@Service("nhywjtbzglService")
public class NhywjtbzglService extends BaseService {
	
	private static Log log = LogFactory.getLog(NhywjtbzglService.class);
	
	@Autowired
	private NhywjtbzglDao nhywjtbzglDao;
	
	/**
	 * 保存记录
	 */
	public void insert_Nhywjtbzgl(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		nhywjtbzglDao.insert_Nhywjtbzgl(map);
	}

	
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjtbzgl(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return nhywjtbzglDao.update_Nhywjtbzgl(map);
	}

	/**
	 * 修改经纬度
	 */
	public Integer updateJtbzJdWdByXh(Map map) throws SQLException{
		return nhywjtbzglDao.updateJtbzJdWdByXh(map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjtbzgl(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return nhywjtbzglDao.delete_Nhywjtbzgl(map);
	}
	
	/**
	 * 批处理删除记录
	 */
	/*
	public Integer batch_delete_Nhywjtbzgl(Map map) throws SQLException{
		return nhywjtbzglDao.batch_delete_Nhywjtbzgl(map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	/*
	public Integer count_Nhywjtbzgl(Map map) throws SQLException{
		return nhywjtbzglDao.count_Nhywjtbzgl(map);
	}
	*/
	
	/**
	 * 查询列表记录SELECT
	 */
	public List<Map> query_Nhywjtbzgl(Map map) throws SQLException{
		return nhywjtbzglDao.query_Nhywjtbzgl(map);
	}

	/**
	 * 查询全部记录
	 */
	public List<Map> query_AllNhywjtbzgl(Map map) throws SQLException {
		return nhywjtbzglDao.query_AllNhywjtbzgl(map);
	}
	
	/**
	 * 查询一条
	 */
	public Map get_Nhywjtbzgl(Map map) throws SQLException{
		return nhywjtbzglDao.get_Nhywjtbzgl(map);
	}
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportNhywjtbzgl(Map map) throws SQLException{
		return this.listNhywjtbzglByPage(map);
	}
	*/
	
	/**
	 * Nhywjtbzgl 分页
	 */
	public Map listNhywjtbzglByPage(Map map) throws SQLException {
		List<Map> list = nhywjtbzglDao.query_Nhywjtbzgl(map);
		Integer totalCount = nhywjtbzglDao.count_Nhywjtbzgl(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
}
